| Home | Libraries | People | FAQ | More

## Struct template is_discrete_interval<discrete_interval< DomainT, Compare >>

boost::icl::is_discrete_interval<discrete_interval< DomainT, Compare >>

## Synopsis

    // In header: <boost/icl/discrete_interval.hpp>

    template<typename DomainT, ICL_COMPARE Compare>
    struct is_discrete_interval<discrete_interval< DomainT, Compare >> {
      // types
      typedef is_discrete_interval< discrete_interval< DomainT, Compare > > type;

      // public member functions
       BOOST_STATIC_CONSTANT(bool, value = is_discrete< DomainT >::value);
    };

## Description

### `is_discrete_interval` public member functions

1.      BOOST_STATIC_CONSTANT(bool, value = is_discrete< DomainT >::value);